Import an uploaded file into a dataset
import requests
url = "https://app.langwatch.ai/api/v1/dataset/{slugOrId}/imports"
payload = { "storedObjectId": "<string>" }
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Auth-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({storedObjectId: '<string>'})
};
fetch('https://app.langwatch.ai/api/v1/dataset/{slugOrId}/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://app.langwatch.ai/api/v1/dataset/{slugOrId}/imports \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <api-key>' \
--data '
{
"storedObjectId": "<string>"
}
'{
"datasetId": "<string>",
"recordsCreated": 4503599627370495
}Datasets
Import an uploaded file into a dataset
Add an uploaded and confirmed file’s rows to a dataset
POST
/
api
/
v1
/
dataset
/
{slugOrId}
/
imports
Import an uploaded file into a dataset
import requests
url = "https://app.langwatch.ai/api/v1/dataset/{slugOrId}/imports"
payload = { "storedObjectId": "<string>" }
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Auth-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({storedObjectId: '<string>'})
};
fetch('https://app.langwatch.ai/api/v1/dataset/{slugOrId}/imports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://app.langwatch.ai/api/v1/dataset/{slugOrId}/imports \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <api-key>' \
--data '
{
"storedObjectId": "<string>"
}
'{
"datasetId": "<string>",
"recordsCreated": 4503599627370495
}Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Path Parameters
Body
application/json
Required string length:
1 - 255Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Last modified on October 12, 2026
Was this page helpful?